con
 _clkmode = xtal1 + pll16x                                          'Clock Speed
 _xinfreq = 5_000_000                                               'Cystal Speed
 MS_001   = 80_000_000 / 1_000                                      ' ticks per millisecond 

Var
 long TempLightStack[10]                                            'Stack Space for the new cog
 byte TempLightscogId                                               'Store new cog ID

Pub Start                                                           'Starts the new cog method
  Stop                                                              'Prevents multiple starts of this method
  TempLightscogid := cognew (TempLights, @TemplightStack)+1                    'Starts and gets a cog ID

  
Pub Stop                                                            'Stops the cog that was started  
   if TempLightsCogId > -1
    cogstop (TempLightscogId-1)
 
pub TempLights

dira[0..7] :=%11111111                                              ' leds 0 to 7 made outputs
     
  outa[0..7] := %11111111                                           ' leds on
  pause (3600_000)                                                  ' 1_000 = 1 second    3600_000 = 1/2 hour
  outa[0..7] :=%00000000                                            ' turn Leds off

pub pause(ms) | t                                                   ' used for making a pause

  t := cnt                                                          ' sync with cnt
  repeat ms
    waitcnt(t += MS_001)                                            ' wait one millisecond            