'' ==================================================================================
''
''   File....... LifeWithCog.spin
''   Purpose.... Control LED on pin 15 to pluse 
''   Author..... BillyS (aka Lockadoc)
''   E-mail..... Lockadoc@Aol.Com
''   Started.... 10 Oct 2009
''   Updated.... 4 Feb 2010
''
'' ====================================================================================
''


Var
 long LifeStack[10]                                                 'Stack Space for the new cog
 byte LifeCogId                                                     'Store new cog ID

Pub Start                                                           'Starts the new cog method
  Stop                                                              'Prevents multiple starts of this method
  LifeCogId := cognew (Life, @LifeStack)+1                            'Starts and gets a cog ID

  
Pub Stop                                                            'Stops the cog that was started  
   if LifeCogId > -1
    cogstop (LifecogId-1)
 


Pub life                                                             'Blinks a led as a heartbeat of the CPU
  dira [15] :=1
     repeat  
      

      outa[15] := 1
      waitcnt(clkfreq / 4 + cnt)
      outa[15] :=0
      waitcnt(clkfreq / 6 + cnt)
       outa[15] := 1
      waitcnt(clkfreq / 20 + cnt)
      outa[15] := 0
      waitcnt(clkfreq /2 + cnt) 