'' ==================================================================================
''
''   File....... LightShow4.spin
''   Purpose.... Control 8 LEDs on pins 0 to pin 7 
''   Author..... BillyS (aka Lockadoc)
''   E-mail..... Lockadoc@Aol.Com
''   Started.... 10 Oct 2009
''   Updated.... 2 Feb 2010
''
'' ====================================================================================



Con
   Rate =10                           'Variable used to change display speed
   MS_001   = 80_000_000 / 1_000                                 ' ticks per millisecond     
PUB LightShow4

    dira[0..7]~~
        dira[18] := outa[18] := 1                 ' Set pin 18 to output-high
        pause(100)   
    
    repeat 10
        outa[0..7] := %10001000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11001100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11101110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11111111
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11101110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11001100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %10001000
        waitcnt(clkfreq/rate + cnt) 
        outa[0..7] := %00000000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %00011000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %00111100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7 ] := %01111110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7 ] := %00000000

    pause(100)
       dira[18] := outa[18] := 0                 ' Set pin to output-high


pub pause(ms) | t                                               ' used for making a pause

  t := cnt                                                      ' sync with cnt
  repeat ms
    waitcnt(t += MS_001)                                        ' wait one millisecond          